## org.biojava.bio.program.ssbind
Class AlignmentStAXHandler

    java.lang.Object
      org.biojava.utils.stax.StAXContentHandlerBase
          org.biojava.bio.program.ssbind.SeqSimilarityStAXHandler
              org.biojava.bio.program.ssbind.AlignmentStAXHandler

All Implemented Interfaces:
  StAXContentHandler

    public class AlignmentStAXHandler

extends SeqSimilarityStAXHandler

`AlignmentStAXHandler` handles the BlastLikeAlignment element of BioJava BlastLike XML.

Since:
  1.3
Author:
  Keith James

Field Summary
`static StAXHandlerFactory` `ALIGNMENT_HANDLER_FACTORY`

Fields inherited from class org.biojava.bio.program.ssbind.SeqSimilarityStAXHandler
`ssContext`

Method Summary

Methods inherited from class org.biojava.bio.program.ssbind.SeqSimilarityStAXHandler
`addHandler, endElement, handleEndElement, handleStartElement, startElement`

Methods inherited from class org.biojava.utils.stax.StAXContentHandlerBase
`characters, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALIGNMENT_HANDLER_FACTORY

    public static final StAXHandlerFactory ALIGNMENT_HANDLER_FACTORY